# $Revision: 1.2 $, $Date: 2001/01/31 21:02:16 $
Summary:	Mingw32 GNU Binary Utility Development Utilities - libraries
Name:		crossmingw32-platform
%define	run_date	20001204
%define	api_date	20001122
%define	runsrc		mingw-runtime-%{version}-%{run_date}
%define	apisrc		w32api-%{version}-%{api_date}
Version:	0.4
Release:	1
Epoch:		1
License:	Free
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
ExclusiveArch:	%{ix86}
URL:		http://www.mingw.org
# requires cross-gcc installed... loop. Use binaries (doesn't change much, I think).
#Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/mingw/%{runsrc}-src.tar.gz
#Source1:	ftp://ftp.sourceforge.net/pub/sourceforge/mingw/%{apisrc}-src.tar.gz
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/mingw/%{runsrc}.tar.gz
Source1:	ftp://ftp.sourceforge.net/pub/sourceforge/mingw/%{apisrc}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		i386-mingw32
%define		target_platform i386-pc-mingw32
%define		arch		%{_prefix}/%{target}
%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains Win32 API includes and libraries.

%prep
%setup -q -c -a0 -a1

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{arch}/{include,lib}
cp -fa include/* $RPM_BUILD_ROOT%{arch}/include
cp -fa lib/* $RPM_BUILD_ROOT%{arch}/lib

%files
%defattr(644,root,root,755)
%{arch}

%clean
rm -rf $RPM_BUILD_ROOT

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: crossmingw32-platform.spec,v $
Revision 1.2  2001/01/31 21:02:16  qboosh
- updated to latest 0.4, changed versioning scheme (Epoch=1)
- added URL, updated Source URLs
- updated License (doesn't contain GPL-ed stuff now)

Revision 1.1  2000/12/11 08:36:40  qboosh
- almost rewritten, split into 3 packages
- BuildRoot, updates, patches and other stuff...

* Mon Jan 11 1999 David Sugar <dyfet@tycho.com>
- Modified heavily and then added all other useful stuff to cross build
  a complete mingw32 development system in a single RPM.  The original
  RPMS's would not build from source unless /usr/i386-ming32 already
  had cross-compiled lib stuff, so this one directly builds into
  /usr/i386-mingw32 rather than a buildroot so that it can be cleanly
  built on a system that was NEVER used for cross compiling before.  If
  somebody wants to untwist this web and make it buildroot friendly...

* Thu May 7 1998 Jan-Jaap van der Heijden <J.J.vanderHeijden@student.utwente.nl>
- Initial release (2.9.1)
